#!/bin/bash

. "${EF_ROOT}/plugins/ef/lib/utils"

_my_awk=`ef_find_awk`

cat "/opt/slurm/etc/pcluster/slurm_parallelcluster_dcv_partition.conf" \
            | grep 'NodeName=' \
            | $_my_awk '{print $5}' \
            | $_my_awk 'BEGIN { FS = "," } ; {print "  <ef:option id=\"" $3 " dcv\">" $3 "</ef:option>";}' \
            | uniq 
            
cat "/opt/slurm/etc/pcluster/slurm_parallelcluster_dcv-gpu_partition.conf" \
            | grep 'NodeName=' \
            | $_my_awk '{print $5}' \
            | $_my_awk 'BEGIN { FS = "," } ; {print "  <ef:option id=\"" $3 " dcv-gpu\">" $3 "</ef:option>";}' \
            | uniq             
